Disk ARchive: libdar::archive_version Class Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
libdar::archive_version Class Reference
API

class archive_version manages the version of the archive format More...

`#include <archive_version.hpp>`

## Public Member Functions
| archive_version (U_16 x=0, unsigned char fix=0)
| archive_version constructor
| archive_version (const archive_version &ref)=default
| archive_version (archive_version &&ref) noexcept=default
archive_version & | operator= (const archive_version &ref)=default
archive_version & | operator= (archive_version &&ref) noexcept=default
bool | operator< (const archive_version &ref) const
bool | operator>= (const archive_version &ref) const
bool | operator== (const archive_version &ref) const
bool | operator!= (const archive_version &ref) const
bool | operator> (const archive_version &ref) const
bool | operator<= (const archive_version &ref) const
void | dump (generic_file &f) const
void | read (generic_file &f)
std::string | display () const
| provides the version information as a human readable string

## Private Member Functions
U_I | value () const

## Static Private Member Functions
static unsigned char | to_digit (unsigned char val)
static unsigned char | to_char (unsigned char val)

## Private Attributes
U_16 | version
unsigned char | fix

## Detailed Description

class archive_version manages the version of the archive format

Definition at line 46 of file archive_version.hpp.

## Constructor & Destructor Documentation

## ◆ archive_version()

libdar::archive_version::archive_version | ( | U_16 | x = 0,
|  | unsigned char | fix = 0 )

archive_version constructor

Parameters

  [in] | x | is the version number
  [in] | fix | is a decimal-like

Note
  the fix argument must only be used when the current stable version need to be increased due to a bug fix. This let the concurrent development version to keep the same version (usually x+1) while having the stable version using a slightly different format to fix a bug.

References archive_version().

Referenced by archive_version().

## Member Function Documentation

## ◆ operator!=()

bool libdar::archive_version::operator!= | ( | const archive_version & | ref | ) | const
| inline

Definition at line 67 of file archive_version.hpp.

## ◆ operator<()

bool libdar::archive_version::operator< | ( | const archive_version & | ref | ) | const
| inline

Definition at line 64 of file archive_version.hpp.

## ◆ operator<=()

bool libdar::archive_version::operator<= | ( | const archive_version & | ref | ) | const
| inline

Definition at line 69 of file archive_version.hpp.

## ◆ operator==()

bool libdar::archive_version::operator== | ( | const archive_version & | ref | ) | const
| inline

Definition at line 66 of file archive_version.hpp.

## ◆ operator>()

bool libdar::archive_version::operator> | ( | const archive_version & | ref | ) | const
| inline

Definition at line 68 of file archive_version.hpp.

## ◆ operator>=()

bool libdar::archive_version::operator>= | ( | const archive_version & | ref | ) | const
| inline

Definition at line 65 of file archive_version.hpp.

## ◆ value()

U_I libdar::archive_version::value | ( |  | ) | const
| inlineprivate

Definition at line 81 of file archive_version.hpp.

## Member Data Documentation

## ◆ fix

unsigned char libdar::archive_version::fix
| private

Definition at line 79 of file archive_version.hpp.

## ◆ version

U_16 libdar::archive_version::version
| private

Definition at line 78 of file archive_version.hpp.

The documentation for this class was generated from the following file:

- archive_version.hpp